Bug 7725 - не везде работает --make-pidfile в start-daemon
: не везде работает --make-pidfile в start-daemon
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/service)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-21 02:23 by
Modified: 2005-09-07 13:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-21 02:24:00
--make-pidfile в строке 
start_daemon --make-pidfile --pidfile "$PIDFILE" --name verlihub --lockfile 
"$LOCKFILE" --expect-user root --
            initlog -n verlihub -c verlihub -q --facility daemon --priority info
отказывается работать
в варианте 
start_daemon --pidfile "$PIDFILE" --name verlihub --lockfile "$LOCKFILE" --make-
pidile --expect-user root --
            initlog -n verlihub -c verlihub -q --facility daemon --priority info
всё нормально

всё из-за дополнительного shift в 
        --make-pidfile)
            shift
            MAKE_PIDFILE="--background --make-pidfile"
            shift

просто так сьедается следующий параметр, где в первом случае это --pidfile, в 
итоге цикл завершается, во втором это -- - в результате завершение цикла ничему 
не мешает.

надо убрать второй shift, тогда работает в обоих случаях

следующий патчик решает проблему:
--- functions.old   2005-08-21 02:24:21 +0400
+++ functions   2005-08-21 02:24:27 +0400
@@ -149,7 +149,6 @@
        --make-pidfile)
            shift
            MAKE_PIDFILE="--background --make-pidfile"
-           shift
            ;;
        [-+][0-9]*)
            NICE="$1"
------- Comment #1 From 2005-08-22 22:40:28 -------
Да, спасибо.
------- Comment #2 From 2005-09-05 02:01:20 -------
Applied in 0.5.9-alt1.